<div class="row">
  <div class="column">
    <div *ngFor="let p of tasks">
      <app-task [task]="p"></app-task>
    </div>
  </div>
  <div class="column">
    <form class="example-form">
      <mat-form-field class="example-full-width" appearance="fill">
        <mat-label>Task name</mat-label>
        <textarea [(ngModel)]="task.name" name="name" matInput placeholder="Name of your project"></textarea>
      </mat-form-field>

      <p>
        <mat-form-field class="example-full-width" appearance="fill">
          <mat-label>Description</mat-label>
          <textarea [(ngModel)]="task.description" name="description" matInput
            placeholder="Info about your project"></textarea>
        </mat-form-field>
        <mat-form-field appearance="fill">
          <mat-label>Choose Project</mat-label>
          <mat-select [(ngModel)]="newProjectName" name="project">
            <mat-option *ngFor="let project of projects" [value]="project.name" ngDefaultControl>
              {{project.name}}
            </mat-option>
          </mat-select>
        </mat-form-field>
        <mat-form-field appearance="fill">
          <mat-label>Choose Performer</mat-label>
          <mat-select [(ngModel)]="newPerformerId" name="performer">
            <mat-option *ngFor="let user of users" [value]="user.id" ngDefaultControl>
              {{user.firstName}} {{user.lastName}}
            </mat-option>
          </mat-select>
        </mat-form-field>
      </p>
      <mat-form-field appearance="fill">
        <mat-label>Choose state</mat-label>
        <mat-select [(ngModel)]="newTaskState" name="performer">
          <mat-option *ngFor="let st of states" ngDefaultControl value="{{state[st]}}">
            {{state[st]}}
          </mat-option>
        </mat-select>
      </mat-form-field>


      <button mat-icon-button color="primary" matTooltip="Post it" (click)="sendTask()">
        <mat-icon aria-label="Send">send</mat-icon>
      </button>

    </form>

  </div>
</div>